Subject: bug#6302: 24.0.50; Unable to use su in term.

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 04 Jun 2010 16:53:54 +0200

Stefan Monnier <[email-masked]> writes:

>> I found what is not working.
>> I use an alias in my .bashrc to force emacs shell using the word Password
>> as prompt for su command:
>
>> ,----
>> | alias su="LC_ALL=C su -l"
>> `----
>
>> Emacs shell support that but term doesn't.
>
> How 'bout taking the alias out of the question and try

Alias is disabled and i start with a new M-x term:

>    thierry@tux ~ $ LC_ALL=C su -l
Fail.

> and
>    thierry@tux ~ $ LC_ALL=C su
Yes it is working.

> and
>    thierry@tux ~ $ su -l
Fail. (same with --login and -)

So it's clear that come from the -l option of su.

>> Without that alias or when running sh instead of bash term work as expected.
>
> What do you mean by "running sh instead of bash"?
M-x term ==> Run program: /bin/sh
(same doesn't work with su -l)

> Do you mean the shell from which you execute "su" or the shell of the
> user to which you're su-ing?
The first.

> Also, can you M-x trace-function-background RET term-emulate-terminal
> RET, reproduce the problem and then show us the *trace-output*?
I can't find function `term-emulate-terminal'.

-- 
Thierry Volpiatto
Gpg key: http://pgp.mit.edu/